function z=rf_rtest(ar,xobs,delay,fitdim,ind),
%------------------------------------------------
%	df-sept-96	df-dec-95
%
%	perform the RUN-test
%	[Draper & Smith, p.159,160]
%	uses: sortmat.m
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%------------------------------------------------
[dum,nc]=size(xobs);
AA=zeros(nc,2);
AA(:,1)=xobs(:);
AA(:,2)=delay(:);
X=sortmat(AA,2);	%sort by delay time in ascending order
x=X(:,1)';			
t=X(:,2)';
np=0;
nm=0;
nrun=1;
    %----------------------------------------------
    %	count the signs
    %----------------------------------------------
for i=1:nc,
  if fitdim==2,				%2-par.fit
    d=sign(x(i)-ar(1)*exp(-ar(2)*t(i)));
  else					%3-par.fit
    d=sign(x(i)-(ar(1)*ind(i)-ar(3))*exp(-ar(2)*t(i))-...
      ar(3));
  end
  if d==0, d=1; end			%assign 0 to +
  if i==1, last=d; end			%the first point
  if d==1,				%check sign 
     np=np+1;			
  else  
     nm=nm+1;
  end
  if d~=last,				%check sign-change 
    nrun=nrun+1;
  end 
  last=d;				%remember last sign
end
    %-----------------------------------------------
    %	calculate the run-statistics
    %-----------------------------------------------

if np<=10&nm<=10,
  zlev=' ';
  if np>=2&nm>=2, 			% 2<=np,nm<=10
   crit_05=[0,0,0,0,0,2,2,2,2;.....
	    0,2,2,2,2,3,3,3,3;... %0.05 crit.lev
	    0,2,2,3,3,3,4,4,4;... %for small (np,nm)
	    0,2,3,3,4,4,4,4,5;... %very approximate
	    0,2,3,4,4,4,5,5,5;... %actually starts 
	    2,3,3,4,4,5,5,5,6;... %with (3,3) that
	    2,3,4,4,5,5,5,6,6;... %I set =2 very
	    2,3,4,4,5,5,6,6,7;... %approximately;
	    2,3,4,5,5,6,6,7,8];	  %0s are for exclusion
   crlev=crit_05(np-1,nm-1);
   if nrun>= crlev,
       if crlev~=0, 
	res=['  ok'];
       else
	crlev=NaN;res=['  bad run'];
       end
   else
	res=['  bad run'];
   end
  else 
    crlev=NaN;res=['  bad run'];
  end 				%if np>=2&nm>=2,
else				%np>10|nm>10 or both		
   mu=2*np*nm/(np+nm) +1;
   s=sqrt(2*np*nm*(2*np*nm-nm-np)/((np+nm)^2*(np+nm-1)));
   z=abs((nrun-mu+0.5)/s);	% 0.05crit.=1.96 for np,nm>10
   zlev=[' z= ',num2str(z)];
%  if np>10&nm>10,		%need to get to the NY Public Library!!!
   crlev=1.96;
   if z<crlev,  res=['  ok']; end
%  else				%one of np,nm <=10
%   crlev=NaN;
%   res=['  ???'];
%  end 
end   				%if np<10&nm<10, 
disp(['n+: ',num2str(np),' n-: ',num2str(nm),...
    ' runs: ',num2str(nrun),zlev,'  crit.lev.= ',...
    num2str(crlev),res]);
return
%======================================================
