function z=rfcovar(ar,xobs,sigma,delay,fitdim,index)
%---------------------------------------
%	df-sept-96	df-dec-95	
%
%	calculate 1/[covariance matrix]
%	using first derivatives of 
%	y=(A*[ind]-[C])exp(-Rt)+[C] 
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%---------------------------------------
 A=ar(1);
 R=ar(2);
 s=sigma(:);
 y=xobs(:);
 t=delay(:);
 DD=exp(-R*t)./s;
 if fitdim==2,			%2-par.fit
   dYdA=DD;
   dYdR=-A*t.*DD;
   J=[dYdA,dYdR];		%%Jacobian mtrx
 else				%3-par.fit
   C=ar(3);
   ind=index(:);
   DD=exp(-R*t)./s;
   dYdA=ind.*DD;
   dYdR=-(A*ind-C).*t.*DD;
   dYdC=1./s - DD;
   J=[dYdA,dYdR,dYdC];		%Jacobian mtrx
 end
 z=J'*J; 			%inv.covar.matrix
 return
%=================================================  
