function [me_mc,sd_mc]=rfmcdat(AR,sigma,delay,mc_max,fitdim,ind,opt)
%---------------------------------------------------------
%	df-jul-96
%	estimate errors in the microdynamic params 
%	by MC simulation of the relaxation data
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%---------------------------------------------------------
%opt=[0 1.e-4 1.e-4 0 0 0 0 0 0 0 0 0 0 6000];   %options for fmins
%------------------preparation----------------------
[dum,npar]=size(AR);
[dum,npts]=size(delay);
noise=randn(mc_max,npts);		%generate random noise
RES_mc=zeros(mc_max,npar);
me_mc=zeros(1,5);
sd_mc=zeros(1,5);
if fitdim==2,
  xcalc=AR(1)*exp(-AR(2)*delay);
else					%3-par. fit
  xcalc=(AR(1)*ind-AR(3)).*exp(-AR(2)*delay)+AR(3);
end
%------------------start the MC-cycle-----------------
    for mc_i=1:mc_max,
      xobs=xcalc+sigma.*noise(mc_i,:);
      [mcpar,chi2]=rffmins(AR,opt,xobs,sigma,delay,fitdim,ind);
      RES_mc(mc_i,:)=mcpar;
    end
me_mc=mean(RES_mc);
sd_mc=std(RES_mc)*sqrt((mc_max-1)/mc_max);
return
%==============================================

