function rfpltfit(resid,xobs,delay,index,xobs00,sigma00,...
         delay00,index00,AR,sumsq,fitdim,npar,nobs00)
%-----------------------------------------------------------
%	
%	visualize (plot) the results of fitting -- 
%	exper.points vs. fitting curves
%	also
%	color each point by its contribution (var) 
%	to the total chi2 --
%	less than 30%: color = green (ok!),
%	more than 30% (=white), 50% (=red), 70% (=blue);
%	those points colored in blue or red are likely to be
%	outliers, i.e. candidates for exclusion (check the 
%	results of the F-test !)
%	
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-----------------------------------------------------------
 resnum=num2str(resid);
 t=[0:(max(delay00)-min(delay00))/100:max(delay00)];
%------------------------adjust axes------------------------
 if max(xobs00)*min(xobs00)>=0,
   v=[min([0 delay00]) 1.05*max(delay00) 0.95*min([25,xobs00]) 105];
 else
   v=[min([0 delay00]) 1.05*max(delay00) 1.05*min([-10,xobs00]) 105];
 end
%-------------------------plot the points-------------------
 if fitdim==2,
   semilogy(delay00,xobs00,'o');
   hold on
   axis(v);
   semilogy(delay,xobs,'k.');
   semilogy(t,AR(1)*exp(-t*AR(2)));
 else
   plot(delay00,xobs00,'o');
   hold on
   axis(v);
   plot(delay,xobs,'k.');
   plot(t,(AR(1)-AR(3))*exp(-t*AR(2))+AR(3));
   if fitdim==0,
     plot(t,-(AR(1)+AR(3))*exp(-t*AR(2))+AR(3));
   end
 end
 xlabel('delay [ms]');
 ylabel('intensity [%]');
 title(['residue No ',resnum,':  ',num2str(npar),'-param.fit']);
%--------------------color the points by var--------------------
%--------depending on whether the point contributes ------------
%----more than 30%(white), 50%(red) or 70% of the total chi2----
%------COLORED POINTS, particularly red & blue, ARE STRONG------
%------CANDIDATES FOR EXCLUSION (check the F-test results)------
   if npar==2,
        y_pts=[0.72 0.381 0.27];
		%blue:  1 pt.	to be excluded
		%red:	2 pts.
		%white:	3 pts.
   else
        y_pts=[0.7 0.5 0.3];
   end
   if fitdim==2,	
       ind_var=((xobs00-AR(1)*exp(-delay00*AR(2)))./sigma00).^2;
   else
       ind_var=((xobs00-(AR(1)*index00-AR(3)).*...
            exp(-delay00*AR(2))-AR(3))./sigma00).^2;
   end
   for ind=1:nobs00,	
    symb='go';
    if ind_var(ind)>=y_pts(3)*sumsq,
      symb='co';		%>=0.3*CHI2: white 
    end
    if ind_var(ind)>=y_pts(2)*sumsq,
      symb='ro';		%>=0.5*CHI2: red 
    end
    if ind_var(ind)>=y_pts(1)*sumsq,
      symb='bo';		%>=0.7*CHI2: blue 
    end
    if fitdim==2,
      semilogy(delay00(ind),xobs00(ind),symb);
    else
      plot(delay00(ind),xobs00(ind),symb);
    end
   end
   pause(2);
return
%=======================================================
