function rfpltres(res,err) 
%----------------------------------------------------------
% df-modified dec.99
%	plot the relax.rate distribution vs. res/peak number
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%----------------------------------------------------------
indres=find(~isnan(res(:,4)));			%get notNaN-residues
plot(res(indres,1),res(indres,4),'o');
if isempty(err),
  v=[min(res(indres,1)-0.5), max(res(indres,1)+0.5),...
       0.95*min(res(indres,4)), 1.05*max(res(indres,4))];
else				%err is not empty
  hold on
  for ii=1:length(indres),
      plot([res(indres(ii),1) res(indres(ii),1)],...
	[res(indres(ii),4)-err(indres(ii),2),...
	 res(indres(ii),4)+err(indres(ii),2)]);
  end  
  ind1=find(~isnan(res(:,4)) & ~isnan(err(:,2)));
  v=[min(res(indres,1)-0.5), max(res(indres,1)+0.5),...
       0.95*min([res(ind1,4)-err(ind1,2)]),...
       1.05*max([res(ind1,4)+err(ind1,2)])];
end
axis(v);
xlabel('residue/xpeak #');
ylabel('R, [1/s]');
title('relaxation rate vs. residue/xpeak number');
hold off 
return 
%=======================================================
