function [ar,npar,xpks,sigma,delay,index,res,kept,KSIG,ksig,kerr]=rfprep(XPKS,...
	SIGMA,DELAY,fitdim,fitmode,guess,reslist,pnsign,RES0,kept0)
%---------------------------------------------
%  df-dec-96
% 	prepare & arrange data for relaxfit
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%---------------------------------------------
kerr=0;
if fitdim==0,			%calc. number of fitting params
   npar=3;
else
   npar=fitdim;
end
[dum,nguess]=size(guess);
if nguess<npar,
   disp('guess-size and npar mismatch!');
   kerr=1;
else
   ar=guess(1:npar);		%prepare starting vector
end
%ar=[100,0.1,15];		%prepare starting vector 
%ar=ar(1:npar);

%--------------------arrange input data----------------------
[npks,npts1]=size(XPKS);
npts=npts1-1;
delay=DELAY(:);			%just in case it's not a row
delay=delay';
[dum,ndel]=size(delay);	
if npts~=ndel,
   disp('XPKS-size and DELAY-size mismatch!');
   kerr=1;
end
if fitdim==0,
  index=pnsign;
elseif ~isempty(pnsign),
  index=pnsign;			%fitdim=2|3 but pnsign is present
else
  index=ones(size(delay));	%just to keep track of
  pnsign=index;
end
%-------------------- filter by reslist ---------------------
if fitmode==1,			%full-program fit
  if isnan(reslist),		%take all peaks 
    xpks=XPKS;
  else				%take only pks listed in reslist
    resl=reslist(:);
    [nres,dum]=size(resl);
    xpks=NaN*ones(npks,npts1);
    resnum=0;
    for ir=1:nres,
      kpres=0;
      for jx=1:npks,
        if resl(ir)==XPKS(jx,1),
	   resnum=resnum+1;
	   xpks(resnum,:)=XPKS(jx,:);
	   kpres=1;
	   break
	end
      end
      if kpres==0, disp(['res# ',num2str(resl(ir)),' is not present']); end
    end
    xpks=xpks(1:resnum,:);	%chop off the empty part
    npks=resnum;
  end 
  kept=zeros(npks,npts);
  KSIG=NaN*ones(npks,1);
  res=NaN*ones(npks,2*npar+3);	%[res#,params+errs,chi2]
  res(:,1)=xpks(:,1);
else				%error evaluation only
 [npksres,dum]=size(RES0);
 if dum~=2*npar+3, error('wrong RES0!!! try again...'); end
 if isnan(reslist),		%take them all
   res=RES0;kept=kept0;
 else				%take only pks listed in reslist
   resl=reslist(:);
   [nres,dum]=size(resl);
   res=NaN*ones(nres,2*npar+3);
   kept=NaN*ones(nres,npts);    
   resnum=0;
   for ir=1:nres,
     kpres=0;
     for jx=1:npksres,
       if resl(ir)==RES0(jx,1),
	   resnum=resnum+1;
	   res(resnum,:)=RES0(jx,:);
	   kept(resnum,:)=kept0(jx,:);
	   kpres=1;
	   break
	end
      end
      if kpres==0, disp(['res# ',num2str(resl(ir)),' is not present']); end
   end
   res=res(1:resnum,:);	%chop off the empty (NaN) part
   kept=kept(1:resnum,:);
   npks=resnum;
 end
  %------ take only those pks that are in RES0 -------
  xpks=NaN*ones(npks,npts+1);
  xpks(:,1)=res(:,1);
  for ires=1:npks,			%take only xpks from RES0
   xxxx=XPKS(XPKS(:,1)==xpks(ires,1),:); %a loop could be faster in C-comp.
   if ~isempty(xxxx), xpks(ires,:)=xxxx; end	%double check
  end
  KSIG=RES0(:,2*npar+3);
end
%---------------------prepare SIGMA--------------------
if isempty(SIGMA),
 while 1,
  disp('sigma-matrix is empty!');
  disp('to use 10%(intensity) as sigma values press 0 now,')
  ksig=input('for sigma=const press 1, to exit press 9 ==> ');
  if ksig==1|ksig==0|ksig==9, break; end
 end
 if ksig==9, kerr=1; end
 sigma=ones(size(delay)); 
else 
 ksig=5;sigma=SIGMA;
end

return
%========================================================
