function SS=rfss(ar,xobs,sigma,delay,n,fitdim,index)
%-------------------------------------------------
%	calculate sum of squares of differences
%	(xobs-xcal)  weighted by sigma
%	2- or 3-parameter fit
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-------------------------------------------------
SS=0;
if fitdim==2,				%2-param.fit
 for i=1:n,
   SS=SS+((xobs(i)-ar(1)*exp(-delay(i)*ar(2)))/sigma(i))^2;
 end
else					%3-param.fit
 for i=1:n,
   SS=SS+((xobs(i)-(ar(1)*index(i)-ar(3))*exp(-delay(i)*ar(2))-...
     ar(3))/sigma(i))^2;
 end
end
return
%=================================================
